Name:           genius
Version:        1.0.14
Release:        2%{?dist}
Summary:        An arbitrary precision integer and multiple precision floatingpoint calculator

Group:          Applications/Engineering
License:        GPLv3+
URL:            http://www.jirka.org/genius.html
Source0:        http://ftp.5z.com/pub/genius/genius-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vte-devel
BuildRequires:  readline-devel
BuildRequires:  gmp-devel
BuildRequires:  mpfr-devel
BuildRequires:  popt
BuildRequires:  pkgconfig
BuildRequires:  intltool
BuildRequires:  gtksourceview-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:  flex
BuildRequires:  gettext
BuildRequires:  gnome-doc-utils

%description
Genius is a calculator program similar in some aspects to BC, Matlab
or Maple. GEL is the name of its extension language, in fact, a large
part of the standard genius functions are written in GEL itself.


%package devel
Summary:        Development files for Genius
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for Genius.


%package -n gnome-genius
Summary:        GNOME frontend for Genius
Group:          Applications/Engineering
Requires:       %{name} = %{version}-%{release}
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description -n gnome-genius
GNOME frontend for Genius.


%prep
%setup -q
#sed -i "s|Mime-Type|MimeType|" src/gnome-genius.desktop*
find -name \*.c | xargs chmod 0644


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_libdir}
rm -f $RPM_BUILD_ROOT%{_datadir}/genius/plugins/test.plugin
rm -rf $RPM_BUILD_ROOT%{_datadir}/application-registry
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime-info
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime/{subclasses,text,XMLnamespaces,aliases,globs,magic,mime.cache,icons,generic-icons,treemagic,types,globs2,version}
rm -rf $RPM_BUILD_ROOT/var
desktop-file-install \
    --vendor fedora \
    --add-category Utility \
    --remove-category Office \
    --remove-category Scientific \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --delete-original \
    $RPM_BUILD_ROOT%{_datadir}/applications/gnome-genius.desktop

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/genius
%{_datadir}/genius


%files devel
%{_includedir}/genius


%files -n gnome-genius
%{_bindir}/gnome-genius
%{_libexecdir}/*
%{_datadir}/omf/genius
%{_datadir}/gnome/help/genius
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/mime/packages/*
%{_datadir}/applications/*


%post -n gnome-genius
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database > /dev/null 2>&1 ||:
scrollkeeper-update -q -o %{_datadir}/omf/genius ||:
gtk-update-icon-cache -qf /usr/share/icons/hicolor &> /dev/null || :


%postun -n gnome-genius
if [ $1 -eq 0 ]; then
  update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
  update-desktop-database > /dev/null 2>&1 ||:
  scrollkeeper-update -q ||:
  gtk-update-icon-cache -qf /usr/share/icons/hicolor &> /dev/null || :
fi


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 26 2012 Tom Callaway <spot@fedoraproject.org> - 1.0.14-1
- update to 1.0.14

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.12-4.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.0.12-3.2
- Rebuild for new libpng

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.12-2.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.0.12-2.1
- rebuild with new gmp

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb  5 2011 Gérard Milmeister <gemi@bluewin.ch> - 1.0.12-1
- new release 1.0.12

* Sat Aug  8 2009 Gerard Milmeister <gemi@bluewin.ch> - 1.0.7-1
- new release 1.0.7

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 17 2009 Gerard Milmeister <gemi@bluewin.ch> - 1.0.6-1
- new release 1.0.6

* Sat Sep  6 2008 Gerard Milmeister <gemi@bluewin.ch> - 1.0.3-1
- new release 1.0.3

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.2-3
- Autorebuild for GCC 4.3

* Mon Jan 28 2008 Gerard Milmeister <gemi@bluewin.ch> - 1.0.2-2
- remove _smp_mflags

* Sun Jan 27 2008 Gerard Milmeister <gemi@bluewin.ch> - 1.0.2-1
- new release 1.0.2

* Wed Nov  7 2007 Gerard Milmeister <gemi@bluewin.ch> - 1.0.0-2
- added buildreq mpfr-devel

* Wed Oct 24 2007 Gerard Milmeister <gemi@bluewin.ch> - 1.0.0-1
- new release 1.0.0

* Sun Feb 11 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.7.7-2
- rebuild to use ncurses

* Fri Feb  2 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.7.7-1
- new version 0.7.7

* Wed Oct 18 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.7.6.1-3
- Fixed Req and permissions

* Mon Oct 16 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.7.6.1-2
- Fixed BR

* Sun Oct 15 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.7.6.1-1
- first Fedora release

